// ===================================================
// Листинг 13. Переименование каталога
//
// Файл renmdir\renmdir.cpp
//
// (C) A. Frolov, 1993
// ===================================================

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <time.h>

#define BYTE unsigned char
#define WORD unsigned int

extern "C" int GetNetWareShellVersion(char *,char *, char *);
extern "C" int RenameDirectory(BYTE, char *, char *);

void main(int argc, char *argv[]) {

	char MajorVersion=0;
	char MinorVersion=0;
	char Revision=0;

	BYTE RightsMask;

	int ccode;

	printf("\n*RENMDIR* (C) Frolov A., 1993\n");

// Проверяем наличие сетевой оболочки

	asm push si
	GetNetWareShellVersion(&MajorVersion,
			&MinorVersion, &Revision);
	asm pop si

	if(MajorVersion == 0) {
		printf("\nОболочка NetWare не загружена\n");
		return;
	}

// Необходимо задать букву, обозначающую имя
// локального диска и путь к сетевому каталогу

	if(argc < 3) {
		printf("Укажите путь к каталогу и "
			"новое имя, \nнапример: renmdir sys:users usr");
		return;
	}

// Параметры должны быть заданы заглавными буквами

	strupr(argv[1]);
	strupr(argv[2]);

// Переименовываем каталог

	ccode = RenameDirectory(0, argv[1], argv[2]);

	if(!ccode)
		printf("Каталог переименован\n");
	else
		printf("Ошибка %02.2X\n", ccode);
}

